/*	Allows to open Jmol models on request
	either in an inline frame or as single or multiple pop-up windows
	
	Available from  http://biomodel.uah.es/Jmol/  and  http://wiki.jmol.org/ 
	Author: Angel Herrez.  Version 2007.04.23
	
	This template is offered freely for anyone to use or adapt it, 
	according to Creative Commons Attribution-ShareAlike 3.0 License,
	http://creativecommons.org/licenses/by-sa/3.0/
*/

var JmolPath = "../../../JSmol/";
var JmolSize = 300;
var JmolWinWidth = JmolSize+10;
var JmolWinHeight = JmolSize+54;
var JmolInfo = {
	width: JmolSize,
	height: JmolSize,
	j2sPath: JmolPath + "j2s",
	color:'black',
	use:"html5"
}

function putJmolPanel(molName, molFileName)
{	var tx = "<iframe src='Jmol_caption.htm?molName=" + escape(molName) + "&molFileName=" + escape(molFileName) + "' "
	tx += "width=" + JmolWinWidth + " height=" + JmolWinHeight
	tx += " scrolling=\"no\" frameborder=0 class=\"JmolPane\">"
	tx += "</iframe>"
	document.writeln(tx)
}

function callJmol(doc, molName, molFileName)
{	var callURL = "Jmol_container.htm?molName=" + escape(molName) + "&molFileName=" + escape(molFileName)
	var op 
	if (self==parent) { op="inline" }
	else { op = readRadio( parent.document.forms["JmolMthd"].JmolMthd ) }
	if (op=="inline") 
	{	doc.location.replace( callURL )	// replace() avoids history, in case of browser's back button is used
	}
	else
	{	var winName = ""
		if (op=="popup1") { winName = "Jmol_structure" } // single, common window
		var Jmol_struct = window.open( callURL, winName, "width=" + JmolWinWidth + ", height=" + JmolWinHeight + ", resizable" )
		Jmol_struct.focus()
	}
	return false
}

function unCallJmol(doc, molName, molFileName)
{	var callURL = "Jmol_caption.htm?molName=" + escape(molName) + "&molFileName=" + escape(molFileName)
	doc.location.replace( callURL )	// replace() avoids history, in case of browser's back button is used
	return false
}

function readRadio(ctl)
{	for (var i=0; i<ctl.length; i++)
	{	if ( ctl[i].checked ) { return ctl[i].value }
	}
	return null
}
